# statusbar_gui.cpp File Reference

The GUI for the bottom status bar. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "settings_type.h"`
`#include "date_func.h"`
`#include "gfx_func.h"`
`#include "news_func.h"`
`#include "company_func.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "company_base.h"`
`#include "tilehighlight_func.h"`
`#include "news_gui.h"`
`#include "company_gui.h"`
`#include "window_gui.h"`
`#include "variables.h"`
`#include "window_func.h"`
`#include "statusbar_gui.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`

Go to the source code of this file.

## Data Structures
struct | StatusBarWindow
## Functions
static bool | DrawScrollingStatusText (const NewsItem *ni, int pos, int width)
bool | IsNewsTickerShown ()
| Checks whether the news ticker is currently being used.
void | ShowStatusBar ()
## Variables
static const Widget | _main_status_widgets []
static WindowDesc | _main_status_desc (WDP_CENTER, 0, 320, 12, 640, 12, WC_STATUS_BAR, WC_NONE, WDF_STD_TOOLTIPS|WDF_DEF_WIDGET|WDF_UNCLICK_BUTTONS|WDF_NO_FOCUS, _main_status_widgets)

## Detailed Description

The GUI for the bottom status bar.

Definition in file statusbar_gui.cpp.

## Variable Documentation

const Widget _main_status_widgets[]`[static]`

Initial value:

     {
    {      WWT_PANEL,   RESIZE_NONE,   COLOUR_GREY,     0,   139,     0,    11, 0x0, STR_NULL},
    {    WWT_PUSHBTN,   RESIZE_RIGHT,  COLOUR_GREY,   140,   179,     0,    11, 0x0, STR_02B7_SHOW_LAST_MESSAGE_OR_NEWS},
    {    WWT_PUSHBTN,   RESIZE_LR,     COLOUR_GREY,   180,   319,     0,    11, 0x0, STR_NULL},
    {   WIDGETS_END},
    }

Definition at line 178 of file statusbar_gui.cpp.